deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "marios@redhat.com" <mandr...@redhat.com>
Subject Re: [PATCH core 01/32] Core: Added sinatra-rabbit gem to gemspec
Date Tue, 01 May 2012 14:21:27 GMT
very high lever/initial comments to get started (its a huge change!):

* what kind of testing has been done? like e.g. all the unit tests?
* very nice - tidying up of each collections to separate file
* nice autoloading of models
* where are blob streaming hacks? (used to be in blob_stream.rb) ("Core:
Removed deprecated helpers")
* I tried cd /server; rake rabbit:routes but got "rake aborted!
uninitialized constant Deltacloud" - pebkac?
* couldn't start the server. I installed sinatra-rabbit:

[marios@name server]$ ./bin/deltacloudd -i mock
Starting Deltacloud API :: mock :: http://localhost:3001/api

/usr/lib/ruby/gems/1.8/gems/deltacloud-core-0.4.1/lib/deltacloud/validation.rb:17:
uninitialized constant Deltacloud (NameError)
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:53:in
`gem_original_require'
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:53:in `require'
        from
/usr/lib/ruby/gems/1.8/gems/deltacloud-core-0.4.1/lib/sinatra/rabbit.rb:19
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:57:in
`gem_original_require'
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:57:in `require'
        from
/home/marios/Documents/WORK/NewEclipsey/DCore/deltacloud_git_repo/deltacloud/server/lib/deltacloud/server.rb:7
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in
`gem_original_require'
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
        from
/home/marios/Documents/WORK/NewEclipsey/DCore/deltacloud_git_repo/deltacloud/server/config.ru:35
        from
/usr/lib/ruby/gems/1.8/gems/rack-1.4.1/lib/rack/builder.rb:51:in
`instance_eval'
        from
/usr/lib/ruby/gems/1.8/gems/rack-1.4.1/lib/rack/builder.rb:51:in
`initialize'
        from
/home/marios/Documents/WORK/NewEclipsey/DCore/deltacloud_git_repo/deltacloud/server/config.ru:1:in
`new'
        from
/home/marios/Documents/WORK/NewEclipsey/DCore/deltacloud_git_repo/deltacloud/server/config.ru:1

following the trace a bit I did:

[marios@name server]$ irb -rubygems
irb(main):001:0> require 'sinatra/rabbit'
NameError: uninitialized constant Deltacloud
        from
/usr/lib/ruby/gems/1.8/gems/deltacloud-core-0.4.1/lib/deltacloud/validation.rb:17
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:53:in
`gem_original_require'
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:53:in `require'
        from
/usr/lib/ruby/gems/1.8/gems/deltacloud-core-0.4.1/lib/sinatra/rabbit.rb:19
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:57:in
`gem_original_require'
        from
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:57:in `require'
        from (irb):1

is this more pebkac?

marios






On 17/04/12 16:39, mfojtik@redhat.com wrote:
> From: Michal Fojtik <mfojtik@redhat.com>
> 
> 
> Signed-off-by: Michal fojtik <mfojtik@redhat.com>
> ---
>  server/deltacloud-core.gemspec |    1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/server/deltacloud-core.gemspec b/server/deltacloud-core.gemspec
> index 55aa182..54d88cc 100644
> --- a/server/deltacloud-core.gemspec
> +++ b/server/deltacloud-core.gemspec
> @@ -68,6 +68,7 @@ Gem::Specification.new do |s|
>    s.add_dependency('rake', '>= 0.8.7')
>    s.add_dependency('haml', '>= 2.2.17')
>    s.add_dependency('sinatra', '>= 0.9.4')
> +  s.add_dependency('sinatra-rabbit', '>= 1.0.5')
>    s.add_dependency('rack', '>= 1.0.0')
>    s.add_dependency('rack-accept')
>    s.add_dependency('json', '>= 1.1.9')


Mime
View raw message